﻿@model AskarTecTest.Models.ClientModels.ClientDetailsModel

@{
    ViewData["Title"] = "DetailsClient";
}

<h1>DetailsClient</h1>

<div>
    <h4>ClientDetailsModel</h4>
    <hr />
    <dl class="row">
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Id)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Id)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Name)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Name)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.BirthDate)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.BirthDate)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.PhoneNumber)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.PhoneNumber)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Address)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Address)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.SocialNumber)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.SocialNumber)
        </dd>
    </dl>
</div>

<div class="row">
    <div>
        <a asp-controller="Client" asp-action="EditClient" asp-route-id="@Model.Id" class="btn btn-primary mr-2">Edit</a>
    </div>
    <div>
        @{ await Html.RenderPartialAsync("_DeleteClientPartialView", Model);}
    </div>
    <div>
        <button class="btn btn-primary mr-2" clientId="@Model.Id" id="DownloadBtn">Download</button>
    </div>
</div>

<hr />
<div id="message">
    Event message: @Html.DisplayFor(model => model.Message)
</div>
<hr />

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts
{
    <partial name="_ClientScriptsPartial" />
}

